Bug 518842 - SELinux is preventing certwatch (certwatch_t) "read write" crond_t
Summary: SELinux is preventing certwatch (certwatch_t) "read write" crond_t
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: crypto-utils
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 14:43 UTC by faith
Modified: 2010-06-28 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:15:21 UTC


Attachments (Terms of Use)

Description faith 2009-08-23 14:43:32 UTC
Description of problem:  SELinux is preventing certwatch (certwatch_t) "read write" crond_t


Version-Release number of selected component (if applicable):


How reproducible:  not sure; didn't seem to stop me from doing anything at the moment, so I didn't stop to look at the error until later


Steps to Reproduce:  not sure; all I ever do is use FF,T-bird and sometimes Text Ed & OpenOffice
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Summary:

SELinux is preventing certwatch (certwatch_t) "read write" crond_t.

Detailed Description:

SELinux denied access requested by certwatch. It is not expected that this
access is required by certwatch and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Context                system_u:system_r:crond_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        certwatch
Source Path                   /usr/bin/certwatch
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           crypto-utils-2.4.1-18
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-69.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.29.6-217.2.3.fc11.i586 #1 SMP Wed Jul 29
                              15:46:46 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Mon 10 Aug 2009 05:14:51 AM EDT
Last Seen                     Mon 10 Aug 2009 05:14:51 AM EDT
Local ID                      d827b701-e868-4429-ab5b-1985335210be
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1249895691.459:2105): avc:  denied  { read write } for  pid=27291 comm="certwatch" path="socket:[3545927]" dev=sockfs ino=3545927 scontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tcontext=system_u:system_r:crond_t:s0-s0:c0.c1023 tclass=tcp_socket

node=localhost.localdomain type=SYSCALL msg=audit(1249895691.459:2105): arch=40000003 syscall=11 success=yes exit=0 a0=87afdc8 a1=87b0ec8 a2=87b4988 a3=87b0ec8 items=0 ppid=27284 pid=27291 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=447 comm="certwatch" exe="/usr/bin/certwatch" subj=system_u:system_r:certwatch_t:s0-s0:c0.c1023 key=(null)

this hasn't happened since 8/10/09, but I have lots of problems with startup and crashing, not sure why, not sure if I should worry about this error. thanks for your attention

Comment 1 Christopher Aillon 2009-08-24 17:45:31 UTC
Why on earth do you think this is a firefox bug?  SELinux, not firefox, is preventing certwatch, not firefox, from doing something.  The output even tells you what package to file the bug against:

Source RPM Packages           crypto-utils-2.4.1-18

Over to crypto-utils

Comment 2 faith 2009-08-29 01:03:02 UTC
never said I thought it was a FF bug; only responding to the 'form' question above asking how to reproduce.  sorry to have 'bothered' you.  no patience for people learning Fedora?

Comment 3 Joe Orton 2009-09-01 13:16:29 UTC
Thanks for the report.  Could you run on your system, as root:

# strace -o /tmp/certwatch.txt /usr/bin/certwatch

and then attach /tmp/certwatch.txt to this bug report?

Comment 4 faith 2009-09-01 21:56:32 UTC
[root@localhost thetrude]# strace -o /tmp/certwatch.txt /usr/bin/certwatch
bash: strace: command not found

thanks for your thoughts ...

Comment 5 faith 2009-09-01 21:58:31 UTC
uh ... you know, I was instructed to turn SELinux off per another bug ... do I need to turn it back on for this purpose?
thanks again -

Comment 6 faith 2009-09-17 05:27:48 UTC
still getting same 'command not found'; SELinux is on.  do I not need to worry about this anymore?  please advise.  thanks

Comment 7 Bug Zapper 2010-04-28 09:54:55 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 14:15:21 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.